Base URL: https://demo-api.incodesmile.com — Incode demo environment
Get interviewer name for given interview ID read from token. If the interviewer is not yet assigned to interview, null will be returned. This method also returns credentials for OpenTok session. It is recommended to call this method after Get-user's-position returns 0 in response.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
interviewerName |
string | The name of the executive who is on a conference call with the user. | |
apiKey |
integer (int32) | Used for establishing a conference connection via OpenTok. | |
interviewToken |
string | Used for establishing a conference connection via OpenTok. | |
sessionId |
string | Used for establishing a conference connection via OpenTok. |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |